Index: cprs/branches/HealthSevak-CPRS/CPRS-Chart/fHunSpell.dfm
===================================================================
--- cprs/branches/HealthSevak-CPRS/CPRS-Chart/fHunSpell.dfm	(revision 1707)
+++ cprs/branches/HealthSevak-CPRS/CPRS-Chart/fHunSpell.dfm	(revision 1719)
@@ -12,6 +12,8 @@
   OnActivate = FormActivate
   OnClose = FormClose
+  OnCloseQuery = FormCloseQuery
   OnCreate = FormCreate
   OnShow = FormShow
+  ExplicitTop = -92
   ExplicitWidth = 743
   ExplicitHeight = 548
@@ -24,9 +26,10 @@
     Height = 16
     Caption = 'Main &Dictionary File:'
+    FocusControl = edtDictionary
   end
   object lblOpenMedURL: TLabel [1]
     Left = 11
     Top = 54
-    Width = 726
+    Width = 707
     Height = 14
     Cursor = crHandPoint
@@ -40,5 +43,5 @@
     Font.Height = -11
     Font.Name = 'Arial'
-    Font.Style = [fsItalic, fsUnderline]
+    Font.Style = [fsUnderline]
     ParentFont = False
     ParentShowHint = False
@@ -49,7 +52,7 @@
   object lblDictionariesURL: TLabel [2]
     Left = 11
-    Top = 74
-    Width = 486
-    Height = 16
+    Top = 25
+    Width = 409
+    Height = 14
     Cursor = crHandPoint
     Hint = 'URL for other language dictionaries'
@@ -59,7 +62,7 @@
     Font.Charset = DEFAULT_CHARSET
     Font.Color = clBlue
-    Font.Height = -13
+    Font.Height = -11
     Font.Name = 'Arial'
-    Font.Style = [fsItalic, fsUnderline]
+    Font.Style = [fsUnderline]
     ParentFont = False
     ParentShowHint = False
@@ -75,5 +78,5 @@
       'Work under progress by  Sunil Kumar Arora (digitiger@gmail.com).' +
       '.........Thi will be updated later........'
-    TabOrder = 6
+    TabOrder = 4
     Visible = False
     object Button1: TButton
@@ -87,16 +90,5 @@
     end
   end
-  object btnClose: TButton [4]
-    Left = 503
-    Top = 483
-    Width = 110
-    Height = 25
-    Caption = 'C&lose'
-    ModalResult = 1
-    TabOrder = 2
-    Visible = False
-    OnClick = btnCloseClick
-  end
-  object pnlMisSpelled: TPanel [5]
+  object pnlMisSpelled: TPanel [4]
     Left = 0
     Top = 268
@@ -119,5 +111,5 @@
       Height = 16
       Caption = 'C&urrent Misspelt Word:'
-      FocusControl = Edit2
+      FocusControl = edtMisSpelt
     end
     object lstSuggestions: TListBox
@@ -128,6 +120,7 @@
       ItemHeight = 16
       TabOrder = 1
-    end
-    object Edit2: TEdit
+      OnDblClick = lstSuggestionsDblClick
+    end
+    object edtMisSpelt: TEdit
       Left = 151
       Top = 4
@@ -149,5 +142,5 @@
     object btnReplaceWith: TButton
       Left = 452
-      Top = 129
+      Top = 165
       Width = 110
       Height = 25
@@ -158,5 +151,5 @@
     object btnChangeAll: TButton
       Left = 452
-      Top = 84
+      Top = 116
       Width = 110
       Height = 25
@@ -167,5 +160,5 @@
     object btnChange: TButton
       Left = 452
-      Top = 39
+      Top = 67
       Width = 110
       Height = 25
@@ -176,14 +169,14 @@
     object btnAddToDictionary: TButton
       Left = 611
-      Top = 129
+      Top = 165
       Width = 110
       Height = 25
       Caption = 'A&dd to Dictionary'
-      TabOrder = 8
+      TabOrder = 7
       OnClick = btnAddToDictionaryClick
     end
     object btnIgnoreAll: TButton
       Left = 611
-      Top = 84
+      Top = 116
       Width = 110
       Height = 25
@@ -194,5 +187,5 @@
     object btnIgnoreOnce: TButton
       Left = 611
-      Top = 39
+      Top = 67
       Width = 110
       Height = 25
@@ -201,24 +194,24 @@
       OnClick = btnIgnoreOnceClick
     end
-    object btnCancel: TButton
-      Left = 619
-      Top = 216
-      Width = 110
-      Height = 25
-      Caption = 'Ca&ncel'
+    object btnAbort: TButton
+      Left = 611
+      Top = 215
+      Width = 110
+      Height = 25
+      Caption = 'A&bort'
       TabOrder = 9
-      OnClick = btnCancelClick
+      OnClick = btnAbortClick
     end
     object btnUndo: TButton
       Left = 452
-      Top = 175
+      Top = 215
       Width = 110
       Height = 25
       Caption = '&Undo'
-      TabOrder = 7
+      TabOrder = 8
       OnClick = btnUndoClick
     end
   end
-  object Edit1: TEdit [6]
+  object edtDictionary: TEdit [5]
     Left = 131
     Top = 0
@@ -232,17 +225,17 @@
     ParentFont = False
     ReadOnly = True
-    TabOrder = 3
-    OnEnter = Edit1Enter
-  end
-  object btnSelectDict: TBitBtn [7]
-    Left = 476
-    Top = 26
+    TabOrder = 5
+    OnEnter = edtDictionaryEnter
+  end
+  object btnSelectDict: TBitBtn [6]
+    Left = 471
+    Top = 23
     Width = 258
     Height = 25
     Caption = '&Browse for and select different dictionary'
-    TabOrder = 4
+    TabOrder = 6
     OnClick = btnSelectDictClick
   end
-  object RichEdit1: TRichEdit [8]
+  object RichEdit1: TRichEdit [7]
     Left = 3
     Top = 101
@@ -256,12 +249,41 @@
     OnKeyUp = RichEdit1KeyUp
   end
-  object btnAbout: TButton [9]
+  object btnAbout: TButton [8]
     Left = 452
-    Top = 483
+    Top = 291
     Width = 110
     Height = 25
     Caption = 'A&bout'
-    TabOrder = 5
+    TabOrder = 3
     OnClick = btnAboutClick
+  end
+  object btnClose: TButton [9]
+    Left = 611
+    Top = 291
+    Width = 110
+    Height = 25
+    Caption = 'C&lose'
+    ModalResult = 1
+    TabOrder = 2
+    Visible = False
+    OnClick = btnCloseClick
+  end
+  object cbIgnoreAllCaps: TCheckBox [10]
+    Left = 131
+    Top = 74
+    Width = 178
+    Height = 17
+    Caption = 'Ignore words in &UpperCase'
+    TabOrder = 7
+    OnClick = cbIgnoreAllCapsClick
+  end
+  object cbIgnoreDigit: TCheckBox [11]
+    Left = 339
+    Top = 73
+    Width = 166
+    Height = 17
+    Caption = 'Ignore words with &digits'
+    TabOrder = 8
+    OnClick = cbIgnoreDigitClick
   end
   inherited amgrMain: TVA508AccessibilityManager
@@ -274,5 +296,5 @@
         'Status = stsDefault')
       (
-        'Component = Edit2'
+        'Component = edtMisSpelt'
         'Status = stsDefault')
       (
@@ -295,5 +317,5 @@
         'Status = stsDefault')
       (
-        'Component = btnCancel'
+        'Component = btnAbort'
         'Status = stsDefault')
       (
@@ -301,5 +323,5 @@
         'Status = stsDefault')
       (
-        'Component = Edit1'
+        'Component = edtDictionary'
         'Status = stsDefault')
       (
@@ -323,4 +345,10 @@
       (
         'Component = btnUndo'
+        'Status = stsDefault')
+      (
+        'Component = cbIgnoreAllCaps'
+        'Status = stsDefault')
+      (
+        'Component = cbIgnoreDigit'
         'Status = stsDefault'))
   end
@@ -335,11 +363,12 @@
   object SpellCheck1: TskaHunSpellChecker
     Active = False
-    btnClose = btnClose
     CustDictionaryFile = 
       'C:\Documents and Settings\All Users\Documents\CustomDictionary.d' +
       'ic'
-    MisSpeltWord = Edit2
+    MisSpeltWord = edtMisSpelt
+    OnStart = SpellCheck1Start
+    OnStateChange = SpellCheck1StateChange
+    OnAbort = SpellCheck1Abort
     SourceTextControl = RichEdit1
-    SpellCheckCompletionMessage = 'Spell Check Complete'
     SuggestionList = lstSuggestions
     Left = 368
